Welcome

Online Help

Welcome

TweakNow PowerPack 2009 Overview

TweakNow PowerPack 2009 is a fully-integrated suite of utilities that let you fine-tune every aspect of your computer's operating system and Web browser. The RAM Idle program manages the free memory that is available to run Windows programs. It prevents performance from degrading as you swap files and programs in and out of memory. The AutoShutdown program lets you suspend, hibernate, or shut down your computer after a specified period of time. In addition to saving resources, this program keeps your system more secure by making it unavailable to unauthorized people. The CD AutoRun is an extension of Windows' CD and DVD autorun features, giving you additional options for starting programs or listening to music. The Virtual Desktop program lets you run as many as four custom-designed desktop configurations simultaneously, allowing you to tailor your computer screen to your mood and your work requirements. The suite gives you a complete picture of all aspects of your computer's hardware, including detailed information about your motherboard, processor, video card, memory, hard disk and network.


What's New

What's New

New in v1.7.2

  • Windows Secret: Added one new registry tweak:
    • Disable Taskbar Thumbnail Preview (Windows 7 only)
      Location: Start Menu->Windows 7
  • Windows Secret: Fixed "Unable to open database file" error when saving chages
  • Other minor improvements and bug fixes

New in v1.7.1

  • Windows Secret: Added two new registry tweaks:
    • Enable custom Logon background (Windows 7 only)
      Location: Windows Logon->Background
    • Specify Logon screen text and button set style (Windows 7 only)
      Location: Windows Logon->Background
  • Windows Secret: Fixed random null pointer error when opening "Windows Explorer" page
  • Disk Cleaner: Fixed problem with "Also Exclude Child Folders" option not working properly
  • Other minor improvements and bug fixes

New in v1.7.0

  • General: Improved support for Windows 7
  • Track Cleaner: Added support for Google Chrome 3
  • Other minor improvements and bug fixes

New in v1.6.4

  • System Information: Fixed hangs when displaying System Sumary on Windows 7 32 bit
  • Track Cleaner: Fixed problem when analyzing FireFox Saved Form Information
  • Other minor improvements and bug fixes

New in v1.6.3

  • Important Update: Fixed problem with internal database

New in v1.6.0

  • General: Added Quick TuneUp module
  • RegCleaner: Added Invalid Default Icon section
  • Track Cleaner: Added support for FireFox 3.5
  • Windows Secret: Added three new registry tweaks:
    • Add Option to Open Directory Using Administrator Command Prompt
      Location: Windows Explorer->Context Menu
    • Change Window Border Padding Size
      Location: Windows Explorer->Miscellaneous
    • Disable USB Drive Write Support
      Location: Windows Core->Security
  • Other minor improvements and bug fixes

New in v1.4.2

  • Track Cleaner: added ability to empty Windows Temporary folder
  • Registry Cleaner: improved scan engine performance
  • General: added Splash Screen
  • General: fixed minor user interface glitches
  • General: fixed problem with shortcut keys
  • Other minor improvements and bug fixes


Keyboard Shortcut

Keyboard Shortcut

TweakNow PowerPack 2009 Keyboard Shortcut

  • F1 : open Help file
  • Ctrl + D : open Disk Cleaner module
  • Ctrl + U : open Disk Usage Analyzer module
  • Ctrl + M : open Miscellaneous Tools module
  • Ctrl + R : open Registry Cleaner module
  • Ctrl + G : open Registry Defragmenter module
  • Ctrl + S : open Startup Manager module
  • Ctrl + I : open System Information module
  • Ctrl + T : open Track Cleaner module
  • Ctrl + P : open Uninstall Program module
  • Ctrl + C : open Windows Secret module
  • Ctrl + B : open Restore Backup module


License Agreement

License Agreement

END USER LICENSE AGREEMENT

PLEASE READ THIS END USER LICENSE AGREEMENT ("EULA") BEFORE USING THIS SOFTWARE. BY USING THIS SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO NOT AGREE TO THESE TERMS, PROMPTLY CEASE ALL FURTHER INSTALLATION OR USE OF THE SOFTWARE.

PROPRIETARY RIGHTS

This software product is protected by copyright laws and international copyright treaties. All rights not currently granted in this license agreement are reserved entirely to TweakNow.com. This Agreement does not grant you any rights to patents, copyrights, trade secrets, trade names, trademarks, or any other rights, functions or licenses in respect of the Software.

LICENSE

TweakNow PowerPack 2009 is distributed in Freeware License. This license grant the End User to install the Software Product in both commercial and non-commercial environment.

DISTRIBUTION

Copies of TweakNow PowerPack 2009 may be distributed in accordance to the following terms:

  • The files are distributed in their entirety.
  • No alteration is made to the files, including changing or removing any messages.
  • No charge (other than charges for disk duplication and handling) be made for any redistribution.

If you need more information about the license, please email us at info@tweaknow.com.

LIABILITY

We try to keep our software as bug-free as possible. But it's a general rule that no software ever is error free, and the number of errors increases with the complexity of the program.

TERMINATION

This License shall remain in full force and effect unless and until terminated. This License will terminate immediately, automatically and without notice if LICENSEE fails to comply with any provision of this Agreement.


How to contact us

How to contact us

Email Support

  • For product information or to place an order online, email us at order@tweaknow.com.
  • For technical support, email us at info@tweaknow.com.

Latest News

  • For the latest news of TweakNow RegCleaner, please visit our web site at www.tweaknow.com.


System Requirements

System Requirements

Operating System

TweakNow PowerPack 2009, support the following Windows operating systems:

  • Windows XP
  • Windows Vista

Hardware

There is no special hardware requirement for running TweakNow PowerPack 2009. As long as your PC is installed with a supported version of Windows (see supported list above), you should have no problem running TweakNow PowerPack 2009 on your PC.


Installation

Installation

If you have an older version of TweakNow PowerPack 2009, the new version automatically overwrite the older version. So it is not necessary to uninstall the older version first.


Uninstallation

Uninstallation

To uninstall TweakNow PowerPack 2009, please follow the following steps:

  • Open Control Panel and double click on Add or Remove Programs icon.
  • Choose TweakNow PowerPack 2009 in the list of currently installed programs.
  • Click the remove button and follow the on screen instruction.


Disk Cleaner

Disk Cleaner

Use this tool to search and remove temporary and other unnecessary files in order to recover valuable harddisk space.

Configuring Disk Cleaner Options

The default settings should be good enough for most users. However, you may want to adjust them to suit your need. There are three options that you may want to modify:

  • Select drive and type of files to search and clean.
  • Directories to exclude: All directories (and they're sub directories) listed in this list will not included in the scanning process.
  • Select action: set whether TweakNow DiskCleaner should create backup files first before deleting unused files. The backup files is created in Zip format.

Quick disk cleaning with Disk Cleaner

Below is a step by step procedure to use the program:.

  1. Click on Scan Drives button to start searching unused files in selected drives. The length of the search process will depend on the size of selected drives.
  2. After the search process has completed you can see the result in the Scan Result window.
  3. Carefully analyze the result.
  4. Check ( [image]) all items that you wish to delete/clean and click on Delete button to start the cleaning process.


Disk Usage Analyzer

Disk Usage Analyzer

After a few months, you may find that your hardisk becomes nearly full. You try to figure out which folder taking up the most space in your harddisk, but unfortunately there is no easy way to do this in Windows. Your harddisk may content hundred or even thousand of folders and thus it's almost impossible to analyze and compare each folder manually. Disk Usage Analyzer is designed to help you in this matter. The program can automatically measure the space used by each folder in your harddisk.


Miscellaneous Tools

Miscellaneous Tools

Tools in this category:

  • Auto Shutdown: easily schedule your computer for log of, stand by, hibernate, or shutdown on specified of time.
  • CD Autorun: extend Windows CD Autorun feature.
  • Configuration Files: edit Windows configuration files (Windows XP only).
  • Process Manager: get information about programs that are currently running on your computer.
  • TweakNow Shortcut: create special shortcut which is not only able to launch an application, but also able to free up RAM and set application priority level automatically.
  • RAM Optimizer: a smart memory management program that will keep your system from running slower and slower after been used for several hours.
  • Virtual Desktop: run multiple desktops (up to four) simultaneously.


Auto Shutdown

Auto Shutdown

Use this tool to easily schedule your computer for log off, stand by, hibernate, or shutdown on specified of time.

-> Auto Shutdown Tray Icon.

(Auto Shutdown Information)

(Auto Shutdown Menu)

To enable Auto Shutdown feature

  1. Select Action.
  2. Set Timer.
  3. Click the "Run Auto Shutdown" button.

When you click the "Run Auto Shutdown" button, the Auto Shutdown icon will be displayed in Windows tray area. Double click the icon to display Auto Shutdown information dialog or click right mouse button to display the menu.


CD Autorun

CD Autorun

Use this tool to extend Windows CD Autorun feature.

CD Autorun Options

  • Disable Autoplay Feature for All CD/DVD
    By default, Windows will run a default application when a new CD is inserted into your CD/DVD ROM drive. You can use this option to stop that behavior.

  • Change Audio CD Player
    Use this option to change Windows default audio CD player.

  • Change DVD Player
    Use this option to change Windows default DVD (movie) player.

  • Display CD/DVD icon in Windows desktop (Mac OS style)
    Use this option to display CD icon in your desktop when new CD inserted. This icon will automatically be deleted when the CD is removed from the CD/DVD ROM drive.


Configuration Files

Configuration Files

Use this tool to edit Windows configuration files.

Note
Modifying Windows configuration files can cause serious problems that may require you to reinstall your operating system. Please ignore this tool if you're unsure what to do.


Process Manager

Process Manager

Process Manager provides information about applications (processes) running on your computer. It also displays the most commonly used performance measures for applications (processes) . You can use this tool to terminate, modify priority level, and check amount of memory used by each application (process).

Improving performance by modifying application priority levels

Assigning higher priority level to an important applications (processes), should significantly improve it's performance.

Note
  • For optimal performance, only set high priority level to one application (process) at one time.
  • Some games and multimedia applications might have a problem when running in high priority level.

To modify application priority level

Click the file name that you want to change the priority level, and then click "Set Priority" button. There are three level of priority setting that you can select:

  • Idle priority - Specify this class for a program whose threads run only when the system is idle.
  • Normal priority - Specify this class for a program with no special scheduling needs (default). Note: In Windows 2000/XP, the normal priority divided into below normal, normal, and above normal priority.
  • High priority - Specify this class for a program that performs time-critical tasks that must be executed immediately.


TweakNow Shortcut

TweakNow Shortcut

Use this tool to create TweakNow Shortcut. Unlike Windows standard shortcut, the TweakNow Shortcut is also able to set defined CPU priority level automatically and free up amount of RAM before the application started.

Why using TweakNow Shortcut?

Often, you need to increase or decrease priority level for important or less important applications using Task Manager. Unfortunately, the priority level will automatically be reset to normal when you close the applications. Therefore you will need to assign a proper priority level again every time you run the applications.

Using TweakNow Shortcut, you can save your time from this repeated job. Create TweakNow shortcut for each application that priority level needs to be changed frequently and define priority level for the application. Now, when you double click on shortcut that was created using TweakNow Shortcut, TweakNow process manager will set defined priority level for the application automatically.

As an addition, using TweakNow Shortcut, you can also command RAM Optimizer to free up amount of RAM before the application started.

Tips

Higher priority should significantly increase application performance, but at the same time might cause your system become unstable. Therefore you should only assign 'above normal' or 'high' priority level to one application at a time.

To create TweakNow shortcut for your application:

  1. Enter application name.
  2. Enter application path (location). Use browse button to find the path.
  3. Enter application parameter (if any). Consult your application manual for information about parameter.
  4. Select the location where you wan to put your shortcut.
  5. Select application priority.
  6. Select the level of RAM that would be recovered before TweakNow Shortcut starts the application. Note: this option will be ignored if RAM Optimizer engine is not enabled.
  7. Click the "Create TweakNow Shortcut" button.


RAM Optimizer

RAM Optimizer

RAM Optimizer is a smart memory management program that will keep your system from running slower and slower after been used for several hours. RAM Optimizer works by freeing up physical RAM wasted by Windows and other applications.

Getting Started

To start using RAM Optimizer:

  1. Click the Enable button to enable RAM Optimizer. When enabled, you should see RAM Optimizer Icon [image] in the Windows tray (notification) area. Move your cursor over the icon to get information about number displayed inside the icon.
  2. Click the More Options button.
  3. On the Main tab sheet, check "Start automatically with Windows" checkbox to start RAM Optimizer automatically at windows startup.

Configuring RAM Optimizer Options

The default settings should be good enough for most users. However, you may want to adjust them to suit your need. There are several options that you can modify:

General

  • Target free RAM
    Defines the amount of RAM that will be recovered when the minimum free ram level is reached. Please note that you should not set the value for this option too high, as instead of getting a better performance, your system will run slower. It is very important to set a correct value for this option.
    Recommended value: 1/4 of total RAM or lower.

  • Minimum free RAM
    Defines the minimum free RAM level. When the available RAM is lower then the minimum free RAM value, RAM Idle will automatically perform the defragmentation and recovery process. Please note that in order to avoid system instability, RAM Idle will only start the defragmentation and recovery process when your computer is not busy.
    Recommended value: 1/16 of total RAM or lower.

Advanced

  • Start automatically with Windows
    Enable this option to start RAM Idle automatically when Windows start.
    Recommended: enable.

  • Free up X MB of RAM on startup after Y seconds
    When enabled, RAM Idle will automatically recover X MB of RAM at startup.
    Default: disable.

  • Free up X MB every Y minutes if free RAM below Z %
    RAM Idle will try to recover X MB of your RAM every Y minutes, only if your CPU Usage is below Z %. Please note that, in this option, RAM Idle will only use the soft recovery methods. This means that RAM Idle will not force Windows to free up the RAM.
    Recommended value: X=2; Y=3; Z=50.

  • Disable the CPU usage detection
    By default RAM Idle will only start the recovery process when the CPU is not busy. However, certain Antivirus or CPU cooling programs may sometimes make the CPU Usage always appear at the 100% level, even though this is not the real value. If your CPU Usage status always remains at the 100% level, make sure that you check this option to tell RAM Idle to ignore your CPU Usage status, otherwise RAM Idle will never have a chance to recover the RAM.
    Recommended: check this option if your CPU Usage always remains at the 100% level.

  • Warn me if System Resources lower then X % (Windows 98/ME only)
    Display a warning message when the system resources lower then X %. Usually, Windows will crash if the system resources lower then 10%. Unfortunately there is no software solution for low system resources problem. The only think that you can do is save all of your works and consider to restart your computer.
    Recommended value: X=15.

Tray Icon

  • Tray icon text color
    Use this option to change RAM Idle tray icon text color.
    Default: black.

  • Display "system information" in RAM Idle tray icon

    You can use this option to monitor your system status. There are three items of system information that maybe displayed in the RAM Idle tray icon:

    - Free physical memory.
    - Total CPU usage.
    - System Resources.

    Note: System Resources is only available in Windows 98/ME.

  • Hide RAM Idle tray icon
    Use this option to hide RAM Idle icon from taskbar notification area.
    Default: disable.

Popup Menu

  • Free up ... MB

    Use this feature to manually recover a specified amount of RAM, by selecting a choice from the RAM Idle popup menu.

Others

  • Clear the clipboard when freeing up RAM
    When enabled, RAM Idle will also clear the Windows clipboard while freeing RAM.
    Default: disable.

  • Play alarm sound when freeing up RAM
    When enabled, RAM Idle will play a .wav file before freeing up RAM.
    Default: disable.

  • Free up RAM hot key : Cltr + Alt +
    Use this hotkey to free up as much RAM as possible at a particular time. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).

  • Disable/enable RAM Idle hotkey : Cltr + Alt +
    Use this hotkey to quickly enable/disable RAM Idle. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).


Virtual Desktop

Virtual Desktop

Use this tool to enable Virtual Desktop feature. With Virtual Desktop you can have four different desktop screens that can be used separately (applications running on one desktop can not be seen from the others).

-> Virtual Desktop Tray Icon.

(Virtual Desktop)

(Virtual Desktop Menu)

Note

All virtual desktops will share the same files and shortcuts.


Registry Cleaner

Registry Cleaner

Configuring Registry Cleaner Options

The default settings should be good enough for most users. However, you may want to adjust them to suit your need. There are several options that you can modify:

  • Ignore Missing Files on Removable Drives: set whether TweakNow RegCleaner should ignore all registry values that refer to removable drives (CD/DVD or USB disk). Recommended: check the checkbox.
  • Registry Keys to exclude: All registry keys (and they're sub keys) listed in this list will not be included in the scanning process.

Quick Registry Cleaning with Registry Cleaner

  • Under the scan mode section, select the available options that best describe the scan you would like to run.
    • Standard Scan: this mode only scan the most important part of your registry.
    • Extreme Scan (Expert mode): this mode perform a complete scan of your registry.
    • Custom (Expert mode): this mode allows you to manually select list of registry sections to be scanned.
  • Click the Scan Registry button. The registry scan starts running and the length of the scan will depend on the options you have selected.
  • After the scan has been completed you can see the result in the Scan Result panel.
  • Carefully analyze the result.

    Table below provides an overview of the icons displayed in the result dialog.

    Icon | Explanation
    Safe to delete | This value refers to missing files or folders. You are safe to delete the value.
    Not fully safe to delete | This value contents both valid and invalid data. We recommend to simply ignore the value (unless you know what to do).
    Unknown | The program is unable to determine the status of data in registry value. Click the deep scan button to further examine this registry value.
  • Check ( [image] ) all items that you wish to delete/clean and click Clean Registry button to start the cleaning process. Please note that when you click the Delete button, TweakNow RegCleaner automatically backup all checked items before deleting them.

Restoring Registry Cleaner Backup File

  1. In the main window, click restore backup icon or link. The restore panel will appear.
  2. Select file that you wish to restore from the list and click restore button.


Registry Defragmenter

Registry Defragmenter

Overview

Registry, just like a harddisk, can be badly fragmented. When an application needs to write data into the registry, Windows will look for free registry block and save the data there. But when the data deleted from the registry, the space that was occupied will not be released and thus it can not be used to save a new data. After a long period your registry will contain a lot of unused spaces that will make your registry size bigger and bigger over time, even though you have cleaned the registry regularly.

Registry Defragmenter can solve this problem by creating a new registry for your Windows. This new registry is exactly the same copy of your current registry, except it is no longer contain any unused spaces and all data are placed in proper order.

Using Registry Defragmenter

  • Please close all running applications before defragmenting your registry.
  • Click the Defragment Now button to start the defragmentation process and wait until the process has been completed.
  • Restart your computer to activate the new registry.

Note:

  1. Until you restart your computer, Windows is still using the old registry. So that all data written after the defragmentation process will not available in the new registry. To avoid any problem, we strongly recommended to immediately restart your computer after the defragmentation process has been completed
  2. The time needed to complete the defragmentation process will depend on your registry size and your computer speed.


Startup Manager

Startup Manager

As you install more and more programs, you may find that your Windows boot time getting slower and slower. In most cases the problem is not in Windows it's self, but after installing a lot number of applications you might end up with having a long list of program in your Windows startup section. Most applications today, without your knowledge, add their update scheduler or speed launcher program into Windows startup section. Each program may only take one or two seconds to complete their task, but imagine if you have ten of them, it's mean that you have to wait for at least another 10 seconds before your desktop become usable.

Startup Manager developed to help you inspect the startup section safely. Simply uncheck all unneeded programs to prevent them from being loaded during Windows boot-up.


System Information

System Information

System Information gives you detailed information about your computer, network, and operating system. The information is compiled in eight modules:

  • System Summary: shows general information about your system.
  • Harddisk: shows the amount of free and used disk space, and detailed feature of file system used on each drive.
  • Memory: shows the amount of available physical and virtual memory.
  • Network: shows important information about setting of the networks to which your computer is attached.
  • Processor: shows your processor's capabilities.
  • Video: shows your video card's capabilities.
  • Windows: shows important information of your Windows and its components.
  • DirectX: shows important information about DirectX driver installed in your computer.


Track Cleaner

Track Cleaner

Most applications today automatically create recent document list. Originally this list is created to make finding files more convenient, but unfortunately it can also be used to monitor your computer activities. This should not be a problem for most people, but for those who look for full privacy you might want to remove all tracks you leave behind.

You can use Track Cleaner to help you removing programs history information stored in the registry. Currently the Track Cleaner module support the following applications:

  • Adobe Reader 8
  • Axialis IconWorkshop
  • Corel Paint Shop Pro Photo XI
  • Explorer
  • DivX Player
  • FileMaker Pro 9
  • GetRight
  • Media Player
  • Microsoft Office Access 2007
  • Microsoft Office Excel 2007
  • Microsoft Office PowerPoint 2007
  • Microsoft Office Publisher 2007
  • Microsoft Office Word 2007
  • Paint
  • Paint .Net
  • QuickTime Player
  • Real Player
  • WinRAR
  • WinZip
  • WordPad

We will include support for more applications in the next release. If you have any suggestion for applications that we should support in the next release, please feel free to email us at info@tweaknow.com.

Using Track Cleaner

  • Select applications to clean.
  • Click the Find Tracking Items button.
  • The program scan your registry to find recent file entries. Once the scan has been completed you can see the resut in the Scan Result panel.
  • Carefully analyze the result and check on items that you wish to remove
  • Click the Delete button to remove all checked items.


Uninstall Program

Uninstall Program

As addition to standard uninstall program feature found in Control Panel, this program also have ability to rename and remove installation entry.

To rename an installation entry, click on Properties button to display properties for selected installation entry. Then click on Edit Display Name to change the name.

Removing an installation entry can be done by clicking on Remove Installation Entry button,


Windows Secret

Windows Secret

Windows is very customizeable operating system. From looks and feels to performance and stability can be configured to suit your personal taste. Unfortunately most of the configuration settings are not available in Control Panel and thus must be configured manually through a registry editor (RegEdit). This might not be a problem for computer geeks, but this is surely a daunting task for others. To help non technical users configured their Windows like geeks do, in Windows Secret module, we have gathered the most popular Windows XP/Vista hidden settings and provide them in an easy and safe user interface.